> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List tables in a project

> Returns all table documents the authenticated user can access within the given project.

Results are filtered by the user's workspace or document-level permissions.



## OpenAPI

````yaml get /table/project/{projectId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/project/{projectId}:
    get:
      tags:
        - Tables
      summary: List tables in a project
      description: >-
        Returns all table documents the authenticated user can access within the
        given project.


        Results are filtered by the user's workspace or document-level
        permissions.
      operationId: getAllTablesByProjectId
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: projectId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        originId:
                          type: string
                        name:
                          type: string
                        slug:
                          type: string
                        description:
                          type: string
                        rows:
                          type: array
                          items:
                            type: string
                        columns:
                          type: array
                          items:
                            type: string
                        isStatic:
                          type: boolean
                          example: false
                        icon:
                          type: object
                          properties:
                            name:
                              type: string
                            color:
                              type: string
                          required:
                            - name
                            - color
                        ownerId:
                          type: string
                        projectId:
                          type: string
                        workspaceId:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                        isDeleted:
                          type: boolean
                          example: false
                      required:
                        - _id
                        - name
                        - slug
                        - rows
                        - columns
                        - isStatic
                        - ownerId
                        - projectId
                        - workspaceId
                        - createdAt
                        - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '401':
          description: 401 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````